[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[6430] add xref-to-anchor.sh test
From: |
Gavin D. Smith |
Subject: |
[6430] add xref-to-anchor.sh test |
Date: |
Tue, 14 Jul 2015 11:52:11 +0000 |
Revision: 6430
http://svn.sv.gnu.org/viewvc/?view=rev&root=texinfo&revision=6430
Author: gavin
Date: 2015-07-14 11:52:07 +0000 (Tue, 14 Jul 2015)
Log Message:
-----------
add xref-to-anchor.sh test
Modified Paths:
--------------
trunk/ChangeLog
trunk/info/Makefile.am
Added Paths:
-----------
trunk/info/t/infodir/xref_to_anchor.info
trunk/info/t/xref-to-anchor.sh
Modified: trunk/ChangeLog
===================================================================
--- trunk/ChangeLog 2015-07-13 22:03:59 UTC (rev 6429)
+++ trunk/ChangeLog 2015-07-14 11:52:07 UTC (rev 6430)
@@ -1,5 +1,9 @@
2015-07-13 Gavin Smith <address@hidden>
+ * info/t/xref-to-anchor.sh: New test.
+
+2015-07-13 Gavin Smith <address@hidden>
+
* info/info-utils.c (scan_node_contents): Always set
nodestart_adjusted for anchors in a node, whether rewriting the
node's contents or not. Failure to follow a cross-reference to
Modified: trunk/info/Makefile.am
===================================================================
--- trunk/info/Makefile.am 2015-07-13 22:03:59 UTC (rev 6429)
+++ trunk/info/Makefile.am 2015-07-14 11:52:07 UTC (rev 6430)
@@ -128,6 +128,7 @@
t/window-split-dir.sh \
t/last-node-not-top-level.sh \
t/adjust-anchors.sh \
+ t/xref-to-anchor.sh \
t/search-after-tag.sh \
t/split-file-menu.sh \
t/index.sh \
Added: trunk/info/t/infodir/xref_to_anchor.info
===================================================================
(Binary files differ)
Property changes on: trunk/info/t/infodir/xref_to_anchor.info
___________________________________________________________________
Added: svn:mime-type
+ application/octet-stream
Added: trunk/info/t/xref-to-anchor.sh
===================================================================
--- trunk/info/t/xref-to-anchor.sh (rev 0)
+++ trunk/info/t/xref-to-anchor.sh 2015-07-14 11:52:07 UTC (rev 6430)
@@ -0,0 +1,38 @@
+#!/bin/sh
+# Copyright (C) 2015 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+srcdir=${srcdir:-.}
+. $srcdir/t/Init-test.inc
+. $t/Init-inter.inc
+
+run_ginfo -f xref_to_anchor
+# Follow cross-reference to an anchor
+printf '\t\r' >$PTY_TYPE
+
+# Follow the cross-reference on the line after the anchor
+printf '\6\6\rDq' >$PTY_TYPE
+
+. $t/Timeout-test.inc
+
+if test ! -f $GINFO_OUTPUT; then
+ RETVAL=1
+else
+ # Return non-zero (test failure) if files differ
+ diff $GINFO_OUTPUT $t/node-target
+ RETVAL=$?
+fi
+
+cleanup
Property changes on: trunk/info/t/xref-to-anchor.sh
___________________________________________________________________
Added: svn:executable
+ *
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- [6430] add xref-to-anchor.sh test,
Gavin D. Smith <=